#!/usr/bin/env sh

# ensure migrate env is initialized
$(migrate version >/dev/null 2>&1)
version=$?
if [ $version != "0" ]
then
    echo "Creating base table..."
    $(migrate init >/dev/null 2>&1)
    init=$?
fi

# check again
$(migrate version >/dev/null 2>&1)
version=$?
if [ $version != "0" ]
then
    echo "Unable to run migrations."
    exit 1
fi

# run migrations
migrate up
echo "Done."

exit $version
